// SPDX-License-Identifier: MPL-2.0
#ifndef SH_LIB_EFIFB_H
#define SH_LIB_EFIFB_H
#include "std/stdlib.h"
#include "kernel/conf.h"
// Initialize the EFI FB subsystem
SH_STATUS sh_efifb_init_fb(sh_conf_FB_CONFIG *fb_conf,sh_page_PAGE_TABLE_POOL *ptp);
// Initialize the boot progress bar
SH_STATUS sh_efifb_init_bar();
// Set the progress bar to a certain percentage
SH_STATUS sh_efifb_set_bar(sh_uint8 percent);
#endif
